glmark2 segmentation fault

Bug #1475902 reported by dinamic on 2015-07-18
114
This bug affects 23 people
Affects Status Importance Assigned to Milestone
glmark2
Undecided
Unassigned
glmark2 (Ubuntu)
Medium
Unassigned

Bug Description

~$ glmark2
Segmentation fault (core dumped)

Ubuntu 15.10
---
ApportVersion: 2.18-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
DistroRelease: Ubuntu 15.10
InstallationDate: Installed on 2014-07-10 (373 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Alpha amd64 (20140520)
NonfreeKernelModules: nvidia
Package: glmark2 2014.03+git20150611.fa71af2d-0ubuntu1
PackageArchitecture: amd64
ProcVersionSignature: Ubuntu 4.0.0-4.7-generic 4.0.7
Tags: wily
Uname: Linux 4.0.0-4-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm autopilot cdrom dip lpadmin nopasswdlogin plugdev sambashare sudo
_MarkForUpload: True

Hans Joachim Desserud (hjd) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

Version number of glmark2 would be nice to know, especially since there seems to be another version waiting in -proposed which might resolve this. Fwiw, I was not able to reproduce the crash with glmark2 on Ubuntu Wily, though graphics card and drivers might play a part here as well I guess...

Could you please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 1475902
When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

tags: added: wily

apport information

tags: added: apport-collected
description: updated

apport information

apport information

uuuu... nice :D thanks Hans Joachim Desserud (hjd)!!!!!

-----------------------

Nvidia GeForce 8600 GT (GPU 0) - proprietary drivers 3.3.0 NVIDIA 340.76

apt-cache policy glmark2
glmark2:
  Installed: 2014.03+git20150611.fa71af2d-0ubuntu1
  Candidate: 2014.03+git20150611.fa71af2d-0ubuntu1
  Version table:
 *** 2014.03+git20150611.fa71af2d-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ wily/universe amd64 Packages
        100 /var/lib/dpkg/status

Hans Joachim Desserud (hjd) wrote :

You're welcome. :)

Thanks for adding the requested information. Without the same drivers (and possibly graphics card), I don't know if there's all that much I can do.

There's a couple of things you could test though, have you had similar problems with other opengl programs? Could you test whether `glxgears` from mesa-utils will run? The same package contains `glxinfo` which gathers lots of information about the OpenGL implementation in use. I can only interpret parts of it, but it might contain useful information for others who come across this bug report.

dinamic (dinamic6661) wrote :
Download full text (55.4 KiB)

glxgears
16400 frames in 5.0 seconds = 3279.904 FPS

glxinfo
name of display: :0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: NVIDIA Corporation
server glx version string: 1.4
server glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile,
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float,
    GLX_ARB_multisample, GLX_EXT_buffer_age,
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile,
    GLX_EXT_framebuffer_sRGB, GLX_EXT_stereo_tree, GLX_EXT_swap_control,
    GLX_EXT_swap_control_tear, GLX_EXT_texture_from_pixmap,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_NV_delay_before_swap,
    GLX_NV_float_buffer, GLX_NV_multisample_coverage, GLX_SGIX_fbconfig,
    GLX_SGIX_pbuffer, GLX_SGI_swap_control, GLX_SGI_video_sync
client glx vendor string: NVIDIA Corporation
client glx version string: 1.4
client glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile,
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float,
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_buffer_age,
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile,
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB,
    GLX_EXT_import_context, GLX_EXT_stereo_tree, GLX_EXT_swap_control,
    GLX_EXT_swap_control_tear, GLX_EXT_texture_from_pixmap,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_NV_copy_image,
    GLX_NV_delay_before_swap, GLX_NV_float_buffer,
    GLX_NV_multisample_coverage, GLX_NV_present_video, GLX_NV_swap_group,
    GLX_NV_video_capture, GLX_NV_video_out, GLX_SGIX_fbconfig,
    GLX_SGIX_pbuffer, GLX_SGI_swap_control, GLX_SGI_video_sync
GLX version: 1.4
GLX extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile,
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float,
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_buffer_age,
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile,
    GLX_EXT_framebuffer_sRGB, GLX_EXT_stereo_tree, GLX_EXT_swap_control,
    GLX_EXT_swap_control_tear, GLX_EXT_texture_from_pixmap,
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_NV_delay_before_swap,
    GLX_NV_float_buffer, GLX_NV_multisample_coverage, GLX_SGIX_fbconfig,
    GLX_SGIX_pbuffer, GLX_SGI_swap_control, GLX_SGI_video_sync
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 8600 GT/PCIe/SSE2
OpenGL core profile version string: 3.3.0 NVIDIA 340.76
OpenGL core profile shading language version string: 3.30 NVIDIA via Cg compiler
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
    GL_ARB_ES2_compatibility, GL_ARB_ES3_compatibility,
    GL_ARB_arrays_of_arrays, GL_ARB_base_instance, GL_ARB_blend_func_extended,
    GL_ARB_clear_buffer_object, GL_ARB_color_buffer_float,
    GL_ARB_compressed_texture_pixel_storage, GL_ARB_conservative_depth,
    GL_ARB_copy_buffer, GL_ARB_copy_image, GL_ARB_debug_output,
    GL_ARB_depth_buffer_float, GL_ARB_depth_clamp, GL_ARB_depth_texture,
    GL_ARB_draw_buffers, GL_ARB_draw_elements_base_vertex,
    GL_ARB_draw_inst...

dinamic (dinamic6661) wrote :

glmark2 crashes with SIGSEV in init()

dinamic (dinamic6661) wrote :

uh, it works with nouveau
glmark2
=======================================================
    glmark2 2014.03+git20150611.fa71af2d
=======================================================
    OpenGL Information
    GL_VENDOR: nouveau
    GL_RENDERER: Gallium 0.4 on NV84
    GL_VERSION: 3.0 Mesa 11.0.0
=======================================================
[build] use-vbo=false: FPS: 802 FrameTime: 1.247 ms
[build] use-vbo=true: FPS: 810 FrameTime: 1.235 ms

http://i.imgur.com/ttjTGJK.png

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in glmark2 (Ubuntu):
status: New → Confirmed
Changed in glmark2 (Ubuntu):
importance: Undecided → Medium

I also segfaul with a model NVS 5400M , ThinkPad T430, Driver version 352.41 package nvidia-352. Only segfaults after installing the Nvidia driver.

Oshadha (oshadha-rocky) wrote :

I'm having this issue too with glmark2. Running Ubuntu 15.10 with Nvidia GTX 660 and Nvidia driver 355.11

max (max-illis) wrote :

me too
15.10 with NV GTX 980 driver: 352.41 from the repos

OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 980/PCIe/SSE2
OpenGL core profile version string: 4.4.0 NVIDIA 352.41
OpenGL core profile shading language version string: 4.40 NVIDIA via Cg compiler
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

Let me know if you want more info

Helco (helco) wrote :

Same here with Ubuntu 15.10
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GT 630M/PCIe/SSE2
OpenGL core profile version string: 4.4.0 NVIDIA 352.63
OpenGL core profile shading language version string: 4.40 NVIDIA via Cg compiler

oldrocker99 (fhwri99) wrote :

Ubuntu MATE 15.10
 glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: NVIDIA Corporation
server glx version string: 1.4
nvidia-358 installed
GeForce 960

Same here with Ubuntu 15.10

name of display: :0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: NVIDIA Corporation
server glx version string: 1.4
OpenGL renderer string: NVS 4200M/PCIe/SSE2
OpenGL core profile version string: 4.4.0 NVIDIA 352.63
OpenGL core profile shading language version string: 4.40 NVIDIA via Cg compiler

01:00.0 VGA compatible controller: NVIDIA Corporation GF119M [Quadro NVS 4200M] (rev a1) (prog-if 00 [VGA controller])
 Kernel driver in use: nvidia 352.63

sylmarien (sylmarien84) wrote :

Same problem on Ubuntu 16.04 with an Nvidia GTX 970 using the nvidia-361 drivers.
Please note that it is not exclusive to glmark2 (segmentation fault occurs on other OpenGL programs)

nvidia-361:
  Installed: 361.42-0ubuntu2
  Candidate: 361.42-0ubuntu2
  Version table:
 *** 361.42-0ubuntu2 500
        500 http://ca.archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages
        100 /var/lib/dpkg/status

$ glxinfo | grep -i opengl
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 970/PCIe/SSE2
OpenGL core profile version string: 4.5.0 NVIDIA 361.42
OpenGL core profile shading language version string: 4.50 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 4.5.0 NVIDIA 361.42
OpenGL shading language version string: 4.50 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.2 NVIDIA 361.42
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
OpenGL ES profile extensions:

01:00.0 VGA compatible controller: NVIDIA Corporation GM204 [GeForce GTX 970] (rev a1) (prog-if 00 [VGA controller])
 Subsystem: Micro-Star International Co., Ltd. [MSI] GM204 [GeForce GTX 970]
 Flags: bus master, fast devsel, latency 0, IRQ 141
 Memory at de000000 (32-bit, non-prefetchable) [size=16M]
 Memory at c0000000 (64-bit, prefetchable) [size=256M]
 Memory at d0000000 (64-bit, prefetchable) [size=32M]
 I/O ports at e000 [size=128]
 [virtual] Expansion ROM at df000000 [disabled] [size=512K]
 Capabilities: [60] Power Management version 3
 Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
 Capabilities: [78] Express Legacy Endpoint, MSI 00
 Capabilities: [100] Virtual Channel
 Capabilities: [258] L1 PM Substates
 Capabilities: [128] Power Budgeting <?>
 Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
 Capabilities: [900] #19
 Kernel driver in use: nvidia
 Kernel modules: nvidiafb, nouveau, nvidia_361

leoj3n (leoj3n) wrote :

Just wanted to add a comment that I experienced the same segmentation fault when running glmark2 with EVGA GTS 450 and latest recommended NVIDIA beta driver for my card NVIDIA-Linux-x86_64-367.18.run (manual install) as well as recommended,tested driver installed by Additional Drivers.

glxgears runs fine with both of the proprietary NVIDIA drivers I installed but going back to nouveau as it has no issues running glmark2.

Adam Niedling (krychek) on 2016-05-24
summary: - Segmentation fault on 15.10 wily
+ glmark2 segmentation fault
leoj3n (leoj3n) wrote :

Not sure if this completely relevant, but I don't get the segmentation fault when running glmark2 on a different OS:

Linux mint 4.4.0-23-generic #41-Ubuntu SMP Mon May 16 23:04:25 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Downloaded from here:

http://cdimage.ubuntu.com/ubuntu-mate/daily-live/pending/yakkety-desktop-amd64.iso

Nathan Vogel (vogel-nathan) wrote :

Same here on Ubuntu 16.04 with an Nvidia GTX 770 using nvidia-361.42 from the driver manager.
But it worked perfectly on Ubuntu 15.04 with NVIDIA-Linux-x86_64-361.42.sh

(I upgraded with the ubuntu .iso and reinstalled some missing software.)

Same issue with `NVIDIA-Linux-x86_64-364.19.run`.

However, if I install it from git repo, it works:

    $ git clone http://github.com/glmark2/glmark2
    $ cd glmark2
    $ ./waf configure --with-flavors=x11-gl,drm-gl
    $ sudo ./waf install

Then start a new shell (to reload path)

    $ which glmark2
    /usr/local/bin/glmark2

    $ glmark2
    =======================================================
        glmark2 2014.03
    =======================================================
        OpenGL Information
        GL_VENDOR: NVIDIA Corporation
        GL_RENDERER: GeForce GT 630/PCIe/SSE2
        GL_VERSION: 4.5.0 NVIDIA 364.19
    =======================================================
    [build] use-vbo=false: FPS:3017 FrameTime: 0.331
    ...

Thus, it is a packaging issue.

The bug is also present on 686 build. A custom compiled version works. On this system I use `NVIDIA-Linux-x86-340.96.run`.

    =======================================================
        glmark2 2014.03
    =======================================================
        OpenGL Information
        GL_VENDOR: NVIDIA Corporation
        GL_RENDERER: GeForce 9500 GT/PCIe/SSE2
        GL_VERSION: 3.3.0 NVIDIA 340.96
    =======================================================
    [build] use-vbo=false: FPS: 1064 FrameTime: 0.940 ms
    ...

Hans Joachim Desserud (hjd) wrote :

milasudril: Interesting. Have you tried rebuilding the Ubuntu-package, in case it has been built against older libraries or something like that?

Hans Joachim Desserud: How do I do that?

Dan Kegel (dank) wrote :

I see the crash on my nvidia card on ubuntu 16.04, too.

Rebuilding the debian package, like this,
  apt-get source glmark2
  cd glmark2-2014.03+git20150611.fa71af2d
  ./waf configure --with-flavors=x11-gl
  ./waf
  sudo ./waf install
  /usr/local/bin/glmark2

(after having enough things installed) seems to work around the problem.

But so does just preloading libpthread:

LD_PRELOAD=/lib/x86_64-linux-gnu/libpthread.so.0 /usr/bin/glmark2

Thanks to http://stackoverflow.com/questions/31579243/segmentation-fault-before-main-when-using-glut-and-stdstring for the tip.

So... it's a linking problem? But "ldd glmark2" shows same number of lines regardless
of whether I run it against the working or the broken glmark2.

Rebuilding the kosher debian way,
   sudo apt-get build-deps glmark2
   cd glmark2-2014.03+git20150611.fa71af2d
   debuild -b -uc -us
   sudo dpkg -i ../glmark2_2014.03+git20150611.fa71af2d-0ubuntu2_amd64.deb
   /usr/bin/glmark2
also fixed the problem.

Hans Joachim Desserud (hjd) wrote :

>Rebuilding the kosher debian way,
>also fixed the problem.

Thanks for testing. Since the package starts working when building it locally, it looks like a simple rebuild might fix this. (Could be that it was built against an older version of some library which has changed in the mean time)

cryptofor (04-20-x100) wrote :
Download full text (11.1 KiB)

i run debian stretch und segfaults occurs in ideas-scene.

glmark --validate:

    GL_VENDOR: Intel Open Source Technology Center
    GL_RENDERER: Mesa DRI Intel(R) 915GM x86/MMX/SSE2
    GL_VERSION: 2.1 Mesa 11.2.2
=======================================================
[build] use-vbo=false: Validation: Success
[build] use-vbo=true: Validation: Success
[texture] texture-filter=nearest: Validation: Success
[texture] texture-filter=linear: Validation: Success
[texture] texture-filter=mipmap: Validation: Success
[shading] shading=gouraud: Validation: Success
[shading] shading=blinn-phong-inf: Validation: Success
[shading] shading=phong: Validation: Success
[shading] shading=cel: Validation: Unknown
[bump] bump-render=high-poly: Validation: Success
[bump] bump-render=normals: Validation: Success
[bump] bump-render=height: Validation: Success
[effect2d] kernel=0,1,0;1,-4,1;0,1,0;: Validation: Success
[effect2d] kernel=1,1,1,1,1;1,1,1,1,1;1,1,1,1,1;: Validation: Success
[pulsar] light=false:quads=5:texture=false: Validation: Success
[desktop] blur-radius=5:effect=blur:passes=1:separable=true:windows=4: Validation: Success
[desktop] effect=shadow:windows=4: Validation: Success
[buffer] columns=200:interleave=false:update-dispersion=0.9:update-fraction=0.5:update-method=map: Validation: Success
[buffer] columns=200:interleave=false:update-dispersion=0.9:update-fraction=0.5:update-method=subdata: Validation: Success
[buffer] columns=200:interleave=true:update-dispersion=0.9:update-fraction=0.5:update-method=map: Validation: Success
[ideas] speed=duration: Validation: Unknown
[jellyfish] <default>: Validation: Unknown
[terrain] <default>: Validation: Unknown
[shadow] <default>: Validation: Unknown
[refract] <default>: Validation: Unknown
[conditionals] fragment-steps=0:vertex-steps=0: Validation: Success
[conditionals] fragment-steps=5:vertex-steps=0: Validation: Failure
[conditionals] fragment-steps=0:vertex-steps=5: Validation: Success
[function] fragment-complexity=low:fragment-steps=5: Validation: Failure
[function] fragment-complexity=medium:fragment-steps=5: Validation: Failure
[loop] fragment-loop=false:fragment-steps=5:vertex-steps=5: Validation: Success
[loop] fragment-steps=5:fragment-uniform=false:vertex-steps=5: Validation: Success
[loop] fragment-steps=5:fragment-uniform=true:vertex-steps=5: Validation: Success

dmesg | grep i915:
[ 12.094055] [drm] Initialized i915 1.6.0 20160229 for 0000:00:02.0 on minor 0
[ 13.444770] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 280.172591] glmark2[2221]: segfault at b624b09c ip b6af03ed sp bf821540 error 4 in i915_dri.so[b6912000+68e000]
[ 2308.420027] glmark2[3529]: segfault at b909609c ip b6a7f3ed sp bf9a6d30 error 4 in i915_dri.so[b68a1000+68e000]
[ 5327.318997] glmark2[11825]: segfault at b921309c ip b6a9a3ed sp bfc75540 error 4 in i915_dri.so[b68bc000+68e000]

uname -a:
Linux debian 4.6.0-1-686-pae #1 SMP Debian 4.6.3-1 (2016-07-04) i686 GNU/Linux
lspci:
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 04)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (r...

cryptofor (04-20-x100) wrote :

I'd like to add:

dpkg -S i915_dri:
libgl1-mesa-dri:i386: /usr/lib/i386-linux-gnu/dri/i915_dri.so

dpkg -l libgli-mesa-dri | grep ii:
libgl1-mesa-dri:i386 11.2.2-1 i386 free implementation of the OpenGL API -- DRI modules

cryptofor (04-20-x100) wrote :

gdb backtrace:

[ideas] speed=duration:
Program received signal SIGSEGV, Segmentation fault.
0xb73603ed in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
(gdb) backtrace
#0 0xb73603ed in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#1 0xb733bb5d in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#2 0xb733bbd0 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#3 0xb7372d53 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#4 0xb7326170 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#5 0xb7326a82 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#6 0xb7315d1e in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#7 0xb74cda28 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#8 0xb73154f2 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#9 0xb72feecb in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#10 0xb7315ae8 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#11 0xb72fad06 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#12 0xb72fb107 in ?? () from /usr/lib/i386-linux-gnu/dri/i915_dri.so
#13 0x080a8ff8 in Lamp::draw (this=0x82f23c0, modelview=..., projection=..., lightPositions=0x82f2558) at ../src/scene-ideas/lamp.cc:240
#14 0x080d2093 in SceneIdeasPrivate::draw (this=0x82f1978) at ../src/scene-ideas.cpp:367
#15 0x080547bc in MainLoop::draw (this=0x8194648) at ../src/main-loop.cpp:133
#16 0x08055103 in MainLoop::step (this=0x8194648) at ../src/main-loop.cpp:108
#17 0x08056ea9 in do_benchmark (canvas=...) at ../src/main.cpp:117
#18 0x0804ce5a in main (argc=1, argv=0xbffff5e4) at ../src/main.cpp:210
(gdb) frame 13
#13 0x080a8ff8 in Lamp::draw (this=0x82f23c0, modelview=..., projection=..., lightPositions=0x82f2558) at ../src/scene-ideas/lamp.cc:240
240 glDrawElements(GL_TRIANGLE_STRIP, 26, GL_UNSIGNED_SHORT, reinterpret_cast<const GLvoid*>(i * 26 * sus));
(gdb)

Hans Joachim Desserud (hjd) wrote :

As mentioned above, a rebuild would probably fix this issue. I can look at creating a rebuilt package and submit that for the 16.04 archive (will probably need some testers at some point).

I see that Ubuntu 16.10 contains a newer version, 2014.03+git20150611.fa71af2d-0ubuntu4, and I would like to know whether this issue is present there as well. Likely it went away when it got rebuilt, but it would be nice if someone could double-check.

Jacolagwa (jacolagwa) wrote :

I get segfault with 16.04 and 2014.03+git20150611. However, the custom build works fine.

    GL_VENDOR: NVIDIA Corporation
    GL_RENDERER: GeForce GTX 960/PCIe/SSE2
    GL_VERSION: 4.5.0 NVIDIA 367.57

Hans Joachim Desserud (hjd) wrote :

As mentioned above, I created a small debdiff for a rebuild of the package for 16.04. It would still be really nice if someone could check with the package in 16.10 whether that works as expected or if it would need a similar fix. :)

tags: added: patch xenial
removed: wily

The attachment "rebuild.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

miro.ilias (ilias-utcpd) wrote :

Hi,

I have similar problem after installing the nvidia card with proprietary driver on my ubuntu lts.

ilias@miro_ilias_desktop:~/.glmark2 --version
Segmentation fault (core dumped)
ilias@miro_ilias_desktop:~/.which glmark2
/usr/bin/glmark2
ilias@miro_ilias_desktop:~/.ldd /usr/bin/glmark2
 linux-vdso.so.1 => (0x00007ffe43917000)
 libjpeg.so.8 => /usr/lib/x86_64-linux-gnu/libjpeg.so.8 (0x00007f69de4cc000)
 libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007f69de2a6000)
 libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f69ddf6c000)
 libGL.so.1 => /usr/lib/nvidia-340/libGL.so.1 (0x00007f69ddc20000)
 libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f69dd89d000)
 libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f69dd594000)
 libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f69dd37e000)
 libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f69dcfb4000)
 libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f69dcd9a000)
 libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f69dcb78000)
 libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f69dc973000)
 libnvidia-tls.so.340.102 => /usr/lib/nvidia-340/tls/libnvidia-tls.so.340.102 (0x00007f69dc770000)
 libnvidia-glcore.so.340.102 => /usr/lib/nvidia-340/libnvidia-glcore.so.340.102 (0x00007f69d9b5c000)
 libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f69d9949000)
 /lib64/ld-linux-x86-64.so.2 (0x0000555b3069f000)
 libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f69d9745000)
 libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f69d953e000)

Robie Basak (racb) wrote :

Hans, thank you for working on this for us.

~ubuntu-sponsors got automatically subscribed when you attached the debdiff, but I don't think this is ready for upload yet?

We'll need the issue fixed in Zesty first, so if someone could confirm if the issue exists there and if a rebuild fixes that, then resubscribe ~ubuntu-sponsors to request a rebuild for Zesty if confirmed needed, then that would be a great first step.

Then to fix Xenial and Yakkety, please test the same way and then follow https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

Thanks!

UV (uvwild) wrote :

also coredump on ubuntu 16.04

apt-cache policy glmark2
glmark2:
  Installed: 2014.03+git20150611.fa71af2d-0ubuntu1
  Candidate: 2014.03+git20150611.fa71af2d-0ubuntu1

grafics
OpenGL renderer string: GeForce GTX 1060 6GB/PCIe/SSE2
OpenGL core profile version string: 4.5.0 NVIDIA 384.111

Adam Niedling (krychek) wrote :

It's working for me on 18.04.

It works for me on 18.04, with latest NVIDIA driver GTX 1060

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers